Arxiu mensual: març de 2007

Beryl al iBook g4

L’altra dia vaig comentar a l’entrada “Beryl per a PowerPC” que havia trobat un repositòri no oficial de debian que tenien paquets, directament trets del svn del projecte i compilats per l’arquitectura powerPC, per la qual cosa son extremadament inestables però usables.

Vos pas a descriure com ho vaig fer. Primer de tot vaig anar al wiki del projecte beryl i vaig cercar com fer-ho, com que està un poc d’aquella manera, vos descriuré com ho vaig fer.

Primer de tot vaig modificar el fitxer de source.list del apt per enganxar els repositoris (una cosa a tenir en compta que jo utilitzo debian testing i el repositori es per debian unstable, però així i tot ha funcionat), com descric a l’anterior entrada.

Seguidament vaig descarregar els següents paquets:

aptitude install libdrm2 libpng3 libpng12-0 libpng12-dev
libxdamage1 libxcomposite1 x11proto-core-dev x11proto-composite-dev
x11proto-damage-dev x11proto-fixes-dev x11proto-gl-dev
x11proto-render-dev x11proto-randr-dev libcairo2 libcairo2-dev libcairomm-1.0-0libcairo-perl
python-cairo libgl1-mesa-dev libgl1-mesa-dri
libgl1-mesa-glx libglu1-mesa libwxgtk2.4-1 libwxgtk2.6-0
mesa-common-dev mesa-utils libsvn1 libglitz1 libglitz-glx1
libxfont1 libfontenc1 libwnck-common libwnck18

Ara podem instal·lar el beryl pròpiament dit:

aptitude install beryl beryl-core beryl-dbus beryl-dev beryl-manager beryl-plugins beryl-plugins-data beryl-settings emerald emerald-themes libberylsettings0 libberylsettings-dev libemeraldengine0 libemeraldengine-dev

Seguidament hem de modificar el fitxer xorg.conf com que el meu iBook te una Ati he fet això:

Al final del fitxer, posam aquestes línies:

Section "Extensions"
Option "Composite" "true"
EndSection

Al mateix wiki i altres parts he vist que s’havia de posar Option "Composite" "0", jo ho he provat, però posant l’anterior no funcionava, ha de ser Option "Composite" "true"

Una vegada fet tot això només queda reiniciar les X:

$/etc/init.d/kdm restart

I ja tenim el beryl-instal·lat. Ara quan iniciem sessió a l’entorn gràfic només queda executar el beryl-manager desde consola i ja podem fer rodar l’escriptòri!!!

Per veure un vídeo que he fet podeu seguir l’enllaç següent de youtube: http://www.youtube.com/watch?v=MNfWgemUKvI

Mea Culpa

Les meves mes sinceres disculpes al professor de pràctiques de SO, al qual vaig tractar molt malament amb l’entrada titulada Desilusió, la qual vaig descriure la meva primera impresió de la primera classe de pràctiques. Pens que no era manera ni lloc de dir-ho i a més sense haver parlat amb ell de cap de les maneres.

Un altra vegada, disculpes.

Beryl per a PowerPC

Avui he trobat per internet com instal·lar Beryl per a la plataforma de powerPC (G3, G4). Només cal dir que es un repositori no oficial, es un que s’ha dedicat a agafar les fonts del svn de beryl i compilar-les per a powerPC. La web es OSrevolution, es d’un italià, però es bo d’entendre i a més hi ha molta cosa traduida a l’anglés.

Encara no ho he provat però ja caurà.

Aquí teniu el source.list:

deb http://download.tuxfamily.org/osrdebian unstable beryl-svn
deb-src http://download.tuxfamily.org/osrdebian unstable beryl-svn

També podeu descarregar la clau gpg de l’autor:

$ wget http://download.tuxfamily.org/osrdebian/61B8DB62.gpg -O- | sudo apt-key add -

Que ho disfruteu !!!

De .mo a .po

No es un joc de paraules, tan sols son tipus de fitxers. S’utilitzen per a la traducció de programari. El .po es el fitxer editable, el que conté les cadenes a traduïr i el .mo és el compilat, per tant illegible pels humans. Però avui gràcies a la web WebToolsCollection, he sabut que es possible generar un .po a partir d’un .mo.

Per exemple amb el msgunfmt es tan fàcil com, a la línia de comandaments, teclejar el següent comandament:
msgunfmt [cami_fitxer.mo] > [cami_fitxer.po]

A cop de man msgunfmt tendrem totes les possibilitats d’aquesta eina.

Per la gent que utilitza windows, el poedit duu aquesta eina, però també s’ha d’utilitzar via shell, o vos fa por? :-P.

goPod 1.4

goPod és un programet pel firmware dels iPod que importam desde els USA a la UE.

Pareix a ser que a la UE existeix una normativa, la EN 50332-1:2000 , que diu que els dispositius de de música portables han de regular la sortida sonora a un màxim de 100db, la qual cosa limita molt el seu us amb amplificadors (o dispositius similars).

El goPod es carrega aquesta limitació. A la seva web podem trobar ja els binaris preparadets i empaquetats per windows, MacOsX, gnu/linux i fins i tot tenim les fonts que es distribueixen baix llicència GPL.

Una cosa cal dir que aquesta normativa no només afecta a dispositius de can apple, sinó a tots.

[JavaScript] Limitar el màxim de caracters en un textarea (II)

En David Martin :: Suki_:: m’ha passat una manera més eficient de fer aquesta feina, que en molt de gust vos pas:
<textarea rows="4"
onKeyUp="this.value = this.value.slice(0, 50)"
onBlur="this.value = this.value.slice(0, 50)"
onMouseout="this.value = this.value.slice(0, 50)"
name="textarea"></textarea>;